---
title: "Create an order"
description: "Create an order."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/create-an-order'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/create-an-order.md'
---
# Create an order

Create an order.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /orders.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_orders`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `order`

  object

  Order information. 

  * `currency`

    string

    The currency used by the buyer to place an order. The value of this parameter is a three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `customer`

    object

    Buyer information. 

    * `area_code`

      string

      The area or country code for the phone number. 

    * `email`

      string

      The email of the buyer. 

    * `first_name`

      string

      The first name of the buyer.

    * `id`

      string

      Buyer's ID.
      
      Maximum length: 64

    * `last_name`

      string

      The last name of the buyer.

    * `phone`

      string

      The phone number of the buyer. 

  * `exchange_rate`

    string

    The exchange rate between the order currency and the store currency. 

  * `name`

    string

    Order number. Different from the order ID, this number can have a custom prefix set in the SHOPLINE Admin. 

  * `order_note`

    string

    Merchant order notes. 
    
    Maximum length: 50

  * `processed_at`

    string

    Order completion time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html). 

  * `shipping_address`

    object

    The address used for receiving packages.

    * `city_code`

      string

      The code for the city in the address. 

    * `country_code`

      string

      A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) standard, used to identify a specific country or region in the address.

    * `last_name`

      string

      The last name of the recipient. 
      
      Maximum length: 64

    * `latitude`

      string

      The latitude where the address is located.

    * `longitude`

      string

      The longitude where the address is located.

    * `address1`

      string

      The first line of the address. This typically includes information such as the street address or a post office box number.
      
      Maximum length: 255

    * `area`

      string

      The district or county in the address. 
      
      Maximum length: 64

    * `area_code`

      string

      The code for the district or county in the address. 

    * `company`

      string

      The company name of the recipient. 

    * `first_name`

      string

      The first name of the recipient. 
      
      Maximum length: 64

    * `province_code`

      string

      The code for the province in the address, which can be a custom code or a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.

    * `address2`

      string

      The second line of the address. This typically includes information such as apartment, suite, or unit number. 
      
      Maximum length: 255

    * `city`

      string

      The city in the address. 
      
      Maximum length: 64

    * `email`

      string

      The email of the recipient. 

    * `province`

      string

      The province in the address. 

    * `zip`

      string

      The postal code information of the address. 

    * `country`

      string

      The country or region in the address.
      
      Maximum length: 64

    * `phone`

      string

      The phone number of the recipient.

  * `transaction_list`

    array<object>

    A list of payments. 

    * `amount`

      string

      Payment amount. The value is rounded to two decimal places. 

    * `gateways`

      string

      Payment channel used for the payment. 

    * `processed_at`

      string

      Payment creation time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html). 

    * `status`

      string

      Payment status. Valid values are:
      - `unpaid`: unpaid
      - `failure`: payment failed
      - `success`: payment successful
      - `error`: payment error

  * `financial_status`

    string

    The payment status of the order. Valid values are:
    - `unpaid`: order not paid
    - `partially_paid`: order partially paid
    - `paid`: order paid
    
    Default value: `unpaid`
    
    :::warning
    **Caution**: The accuracy of the inputted value will be strictly validated. If the value fails validation, the order creation will fail and an error `financial_status is invalid` will be triggered.
    :::

  * `note`

    string

    Order remarks.
    
    Maximum length: 50
    :::danger
    **DEPRECATED**：This parameter is deprecated from API version v20210901.
    :::
    

  * `price_info`

    object

    Price information.

    * `taxes_included`

      boolean

      Indicates whether this order includes taxes.
      - `true`: including tax
      - `false`: excluding tax

    * `total_shipping_price`

      string

      The total shipping fee for the order, displayed in the store currency. The value is rounded to two decimal places. 

    * `current_extra_total_discounts`

      string

      Order discount amount, excluding discounts from discount codes. The value is rounded to two decimal places. 

  * `shipping_lines`

    array<object>

    Shipping lines

    * `price`

      string

      Shipping amount

    * `tax_line`

      object

      Shipping tax details

      * `price`

        string

        Shipping amount

      * `rate`

        string

        The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as `0.0200`. This field value is for display only.

      * `title`

        string

        Tax name

    * `title`

      string

      Shipping name

  * `billing_address`

    object

    The address for sending billing invoices. 

    * `first_name`

      string

      The first name of the billing recipient. 

    * `province`

      string

      The province in the address. 

    * `address1`

      string

      The first line of the address. This typically includes information such as the street address or a post office box number.
      
      Maximum length: 256

    * `area`

      string

      The district or county in the address. 
      
      Maximum length: 64

    * `city`

      string

      The city in the address. 
      
      Maximum length: 64

    * `city_code`

      string

      The code for the city in the address. 

    * `country_code`

      string

      A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) standard, used to identify a specific country or region in the billing address.

    * `company`

      string

      The company name of the billing recipient. 

    * `country`

      string

      The country or region in the billing address. 
      
      Maximum length: 64

    * `last_name`

      string

      The last name of the billing recipient. 

    * `province_code`

      string

      The code for the province in the billing address, which can be a custom code or a two-digit [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) international code.

    * `phone`

      string

      The phone number of the billing recipient. 

    * `address2`

      string

      The second line of the address. This typically includes information such as apartment, suite, or unit number. 
      
      Maximum length: 256

    * `area_code`

      string

      The code for the district or county in the address. 

    * `email`

      string

      The email of the billing recipient. 

    * `same_as_receiver`

      boolean

      Indicates whether the `billing_address` is the same as the `shipping_address`. 
      - `true`: Indicates that both addresses are the same. 
      - `false`: Indicates that the addresses are different. 
      
      If this parameter is set to `true`, other parameters under `billing_address`, except for this parameter, do not need to be provided.

    * `zip`

      string

      The postal code information of the address. 

  * `buyer_note`

    string

    Buyer's message. 

  * `customer_locale`

    string

    Buyer's language code. The language code follows the [ISO 639](https://www.iso.org/iso-639-language-code) standard. 

  * `inventory_behaviour`

    string

    The inventory processing method. Valid values are:
    - `bypass`: skip inventory processing 
    - `decrement_ignoring_policy`: deduct inventory regardless of the inventory policy configured by the merchant
    - `decrement_obeying_policy`: deduct inventory according to the inventory policy configured by the merchant

  * `market_region_country_code`

    string

    The country or region code of the market where the order was placed. Follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `send_receipt`

    boolean

    Whether to send order confirmation email.
    - `true`: send
    - `false`: do not send

  * `company_location_id`

    string

    Company location ID, used to create a B2B order.

  * `fulfillment_status`

    string

    The shipment status of the order. Valid values are:
    - `unshipped`: order not shipped
    - `shipped`: order shipped
    
    Default value: `unshipped`
    
    :::warning
    **Caution**: The accuracy of the inputted value will be strictly validated. If the value fails validation, the order creation will fail and an error `fulfillment_status is invalid` will be triggered. 
    :::

  * `line_items`

    array<object>

    List of order product snapshot information. 
    
    Maximum size: 100

    * `product_id`

      string

      SPU serial number. 

    * `properties`

      array<object>

      A list of product customization information. 

      * `show`

        boolean

        Whether the customized information is visible:
        - `true`: visible
        - `false`: invisible
        Default value: `false`

      * `type`

        string

        Custom information type. Valid values are:
        - `text`: text type
        - `picture`: picture type
        - `link`: hyperlink type

      * `urls`

        array<string>

        URL resource list.
        - If `type` is `picture`, thumbnails are rendered via the `urls` values.
        - If `type` is `link`, the hyperlink is the first URL in the `urls` values.

      * `value`

        string

        Custom attribute value.

      * `name`

        string

        Custom attribute name.

    * `requires_shipping`

      boolean

      Whether the product requires shipping. 
      - `true`: shipping required
      - `false`: shipping not required

    * `taxable`

      boolean

      Whether the product is subject to tax. 
      - `true`: Tax is required. 
      - `false`: No tax is required. 
      
      Default value: `true`

    * `quantity`

      long

      The quantity of the product.

    * `shipping_line_title`

      string

      The title of the shipping plan that the product line matches. This field is required when shipping_lines is passed.

    * `tax_line`

      object

      The custom product tax information. 
      
      If you specify this parameter, you must specify its child parameters `price`, `rate`, and `title`. The actual tax charge is based on the price parameter.
      
      If `tax_line` is not provided, the shipping is tax-exempt by default. 

      * `price`

        string

        The tax amount. The actual tax collected on the product is based on this parameter value. The `rate` value is for display only.

      * `rate`

        string

        The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as `0.0200`. This field value is for display only.

      * `title`

        string

        The title for the tax description, for display only. 

    * `title`

      string

      Product title.

    * `variant_id`

      string

      A unique code assigned to a distinct product in inventory.

    * `discount_price`

      object

      Product custom discount details. 

      * `amount`

        string

        Discount amount. The value is rounded to two decimal places. 

      * `title`

        string

        Discount name. 

    * `location_id`

      string

      Product storage location ID.

    * `price`

      string

      The product price amount. The value is rounded to two decimal places. 

  * `note_attributes`

    array<object>

    A list of merchant note logs.

    * `name`

      string

      Merchant ID, indicating the note source. 

    * `value`

      string

      Note content.

  * `send_fulfillment_receipt`

    boolean

    Whether to send order shipping email.
    - `true`: send
    - `false`: do not send

  * `shipping_line`

    object

    Shipping fee information.

    * `tax_line`

      object

      The custom product tax information. 
      
      If you specify this parameter, you must specify its child parameters `price`, `rate`, and `title`. The actual tax charge is based on the price parameter. 
      
      If `tax_line` is not provided, the shipping is tax-exempt by default. 

      * `price`

        string

        The tax amount. The actual tax collected on the product is based on this parameter value. The `rate` value is for display only.

      * `rate`

        string

        The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as `0.0200`. This field value is for display only.

      * `title`

        string

        The title for the tax description, for display only. 

    * `title`

      string

      Shipping fee name.

    * `code`

      string

      Logistics number.

    * `price`

      string

      Shipping fee amount. The value is rounded to two decimal places. 

  * `transactions`

    object

    Payment information.

    * `id`

      string

      Payment method ID.

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `order`

  object

  Order details. 

  * `created_at`

    string

    The date and time when the order was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `current_subtotal_price_set`

    object

    The total amount of products, calculated by multiplying the unit price by the quantity and displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The order price information presented to the buyer. 

      * `amount`

        string

        The order amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The order price information recorded by the merchant.

      * `amount`

        string

        The order amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `discount_codes`

    object

    Promo code information. 

    * `amount`

      string

      Discount amount in the store currency. The value is rounded to two decimal places. 

    * `code`

      string

      Promo code.

    * `type`

      string

      Type of discount. Valid values are:
      - `减金额`: amount reduction
      - `打折`: offer a discount
      - `免运费`: free shipping
      - `加价品`: add-on purchase deal
      - `任意N件优惠价`: discount for purchasing any N items
      - `A+B组合优惠价`: discount for purchasing the product A and B combo
      - `赠品`: free gift
      - `固定售价`: fixed price
      - `最低价商品免费`: lowest-priced product free
      - `打包价`: package price
      - `第N件打折`: discount on the Nth item
      - `买x送y`: buy x and get y free
      - `自定义`: custom discount
      
      :::warning
      **Tip**: The returned enum values are in Chinese.
      :::

  * `phone`

    string

    Buyer's mobile phone number.

  * `subtotal_price`

    string

    The final price after discounts, calculated as the total product price minus any marketing discounts and custom discounts. The amount is displayed in the store currency.

  * `tax_type`

    string

    The type of tax applicable to the order. Valid values are:
    - `product_tax`: product tax
    - `shipping_tax`: shipping tax

  * `total_line_items_price`

    string

    The total original price of the products, rounded to two decimal places, displayed in the store currency.

  * `total_tax`

    string

    The total tax amount in the store currency. The value is rounded to two decimal places. 

  * `current_subtotal_price`

    string

    The total amount of products, calculated by multiplying the unit price by the quantity and displayed in the store currency.

  * `current_total_duties_set`

    object

    The total customs duties for the products, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The total customs duties information for the products presented to the buyer. 

      * `amount`

        string

        The duty amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

    * `shop_money`

      object

      The total customs duties information for the products recorded by the merchant.

      * `amount`

        string

        The duty amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `financial_status`

    string

    Order payment status. Valid values are:
    - `unpaid`: order not paid
    - `authorized`: order payment has been authorized
    - `pending`: order payment in progress
    - `partially_paid`: order partially paid
    - `paid`: order paid
    - `partially_refunded`: order partially refund
    - `refunded`: order refund

  * `note`

    string

    Merchant notes.

  * `status`

    string

    Order status. Valid values are：
    - `open`: The order is processing.
    - `canceled`: The order is cancelled.

  * `total_discounts`

    string

    The total order discount, calculated as the sum of marketing discounts and custom discounts. The amount is rounded to two decimal places and displayed in the store currency.
    
    :::danger
    **DEPRECATED**：This parameter is deprecated from API version v20210901.
    :::

  * `adjust_price`

    string

    The amount discrepancy due to rounding adjustments in POS transactions, expressed in the store currency. 

  * `current_total_price`

    string

    The total order amount, displayed in the store currency.

  * `id`

    string

    Order ID, system-defined number.

  * `locations`

    array<object>

    A list of product pickup location addresses. 

    * `location_id`

      string

      Unique code of the pickup location.

    * `name`

      string

      Pickup location name.

    * `type`

      string

      Location types. Valid values are:
      - `posLocation`: The store location where the order was placed using the POS channel. It is recommended to use `posLocationId`, because `posLocation` will be deprecated soon.
      - `pickupLocation`: The store location for customer pickup when the order's delivery method is self-pickup.
      - `productLocation`: The inventory location of the products in the order. It is recommended to use the `location` information in the product line, because `productLocation` will be deprecated soon.

  * `payment_details`

    array<object>

    A list of order payment information. 

    * `pay_amount`

      string

      Payment amount in the store currency. The value is rounded to two decimal places.

    * `pay_channel`

      string

      Payment channel.

    * `pay_channel_deal_id`

      string

      Payment serial number from the external channel.

    * `pay_seq`

      string

      Payment order number.

    * `pay_status`

      string

      Payment status. Valid values are:
      - `unpaid`: unpaid
      - `pending`: payment in process
      - `risking`: under risk control
      - `paid`：paid
      - `paid_overtime`: payment timeout
      - `paid_failed`: payment failed

    * `processed_at`

      string

      Actual payment time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `total_line_items_price_set`

    object

    The total original price of the products, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The original price information presented to the buyer. 

      * `amount`

        string

        The original price. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The original price information recorded by the merchant.

      * `amount`

        string

        The original price. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `current_total_price_set`

    object

    The total order amount, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The order price information presented to the buyer. 

      * `amount`

        string

        The total order amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The order price information recorded by the merchant.

      * `amount`

        string

        The total order amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

  * `customer`

    object

    Buyer information.

    * `area_code`

      string

      The area or country code for the phone number. 

    * `currency`

      string

      A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `email`

      string

      The email of the buyer. 

    * `first_name`

      string

      The first name of the buyer.

    * `id`

      string

      Buyer's ID.

    * `last_name`

      string

      The last name of the buyer.

    * `phone`

      string

      The phone number of the buyer. 

  * `deduct_member_point_amount_set`

    object

    The amount deducted from the order using member points, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The deduction amount information presented to the buyer. 

      * `amount`

        string

        The deduction amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

    * `shop_money`

      object

      The deduction amount information recorded by the merchant.

      * `amount`

        string

        The deduction amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

  * `note_attributes`

    array<object>

    A list of merchant note logs.

    * `name`

      string

      Merchant ID, indicating the note source.

    * `value`

      string

      Note content.

  * `pos_location_id`

    string

    POS trading location ID.

  * `shipping_address`

    object

    The address used for receiving packages.

    * `province`

      string

      The province in the address.

    * `address1`

      string

      The first line of the address. This typically includes information such as the street address or a post office box number.

    * `last_name`

      string

      The last name of the recipient. 

    * `longitude`

      string

      The longitude where the address is located.

    * `province_code`

      string

      The code for the province in the address, which can be a custom code or a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.

    * `standard_province_code`

      string

      The code for the province in the billing address, which is a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.This differs from `province_code` - the `province_code` response field uses a custom code.

    * `city`

      string

      The city in the address. 

    * `company`

      string

      The company name of the recipient. 

    * `country`

      string

      The country or region in the address.

    * `district_code`

      string

      The district code in the address.

    * `latitude`

      string

      The latitude where the address is located.

    * `phone`

      string

      The phone number of the recipient. 

    * `address2`

      string

      The second line of the address. This typically includes information such as apartment, suite, or unit number. 

    * `country_code`

      string

      A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) standard, used to identify a specific country or region in the address. 

    * `first_name`

      string

      The first name of the recipient. 

    * `zip`

      string

      The postal code information of the address. 

    * `district`

      string

      The district in the address.

  * `total_shipping_price_set`

    object

    The total shipping fee for the order, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The shipping fee information presented to the buyer. 

      * `amount`

        string

        The shipping fee. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The shipping fee information recorded by the merchant.

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

      * `amount`

        string

        The shipping fee. The value is rounded to two decimal places. 

  * `deduct_member_point_amount`

    string

    The amount deducted from the order using member points, expressed in the store currency and rounded to two decimal places. 

  * `email`

    string

    Buyer's email.

  * `line_items`

    array<object>

    A list of order product snapshot.

    * `variant_id`

      string

      A unique code assigned to a distinct product in inventory.

    * `vendor`

      string

      Supplier.

    * `name`

      string

      SKU title, same as `title`.

    * `variant_title`

      string

      Product variant value. Multiple values are separated by `/`.

    * `id`

      string

      The ID of the product snapshots table, generated by the system. Combined with the `order.id`, it uniquely identifies a product.

    * `image_url`

      string

      The URL address that stores the product image.

    * `properties`

      array<object>

      A list of product customization information. 

      * `urls`

        array<string>

        URL resource list.
        - If `type` is `picture`, thumbnails are rendered via the `urls` values.
        - If `type` is `link`, the hyperlink is the first URL in the `urls` values.

      * `value`

        string

        Custom attribute value.

      * `name`

        string

        Custom attribute name.

      * `show`

        boolean

        Whether the customized information is visible:
        - `true`: visible
        - `false`: invisible
        Default value: `false`

      * `type`

        string

        Custom information type. Valid values are:
        - `text`: text type
        - `picture`: picture type
        - `link`: hyperlink type

    * `taxable`

      boolean

      Whether the product is subject to tax.
      - `true`: Tax is required. 
      - `false`: No tax is required.

    * `title`

      string

      Product title.

    * `attribute`

      string

      The option information of the product variant, composed of the variant name and the option value. 

    * `country_code_of_origin`

      string

      Country or region code indicating the place of origin or shipping origin. Format: [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html).

    * `duties`

      array<object>

      A list of duty information.

      * `country_code_of_origin`

        string

        Country or region code indicating the place of origin or shipping origin. Format: [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html).

      * `harmonized_system_code`

        string

        Harmonized system code, used to categorize a product in international trade. 

      * `id`

        string

        Tariff number.

      * `price`

        object

        The duty amount, displayed in both the buyer currency and the store currency.

      * `tax_lines`

        array<object>

        A list of tax information. 

    * `harmonized_system_code`

      string

      Harmonized system code, used to categorize a product in international trade. 

    * `price`

      string

      The product price in store currency. The value is rounded to two decimal places. 

    * `requires_shipping`

      boolean

      Indicates whether the product is subject to shipping.
      - `true`：Shipping is required.
      - `false`：Shipping is not required.

    * `sku`

      string

      Product SKU serial number.

    * `tax_lines`

      array<object>

      A list of tax information. 

      * `name`

        string

        Tax in store currency. The value is rounded to two decimal places. 

      * `price`

        string

        Tax in store currency. The value is rounded to two decimal places. 

      * `price_set`

        object

        The tax amount, displayed in both the buyer currency and the store currency.

      * `rate`

        double

        The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as `0.0200`. This field value is for display only.

      * `title`

        string

        The title for the tax description, for display only. 

    * `price_set`

      object

      The product price, displayed in both the store currency and the buyer currency.

      * `presentment_money`

        object

        The product price information presented to the buyer. 

      * `shop_money`

        object

        The product price information recorded by the merchant.

    * `product_id`

      string

      SPU serial number.

    * `quantity`

      integer

      Quantity of items in the order.

    * `tags`

      string

      Product tags. Multiple tags are separated by commas. 

  * `name`

    string

    Store custom order number, starting from 1001. You can set a prefix for this value, such as `test1001`.

  * `order_source`

    string

    The order source channel handle. The handle is a semantic identifier.

  * `processed_at`

    string

    Order completion time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `taxes_included`

    boolean

    Indicates whether this order includes taxes.
    - `true`: including taxes
    - `false`: excluding taxes

  * `billing_address`

    object

    The address for sending billing invoices. 

    * `city`

      string

      The city in the address. 

    * `country_code`

      string

      A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) standard, used to identify a specific country or region in the address. 

    * `first_name`

      string

      The first name of the billing recipient.

    * `phone`

      string

      The phone number of the billing recipient. 

    * `standard_province_code`

      string

      The code for the province in the billing address, which is a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.This differs from `province_code` - the `province_code` response field uses a custom code.

    * `company`

      string

      The company name of the billing recipient. 

    * `country`

      string

      The country or region in the address. 

    * `last_name`

      string

      The last name of the billing recipient. 

    * `province`

      string

      The province in the address. 

    * `province_code`

      string

      The code for the province in the billing address, which can be a custom code or a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.

    * `zip`

      string

      The postal code information of the address. 

    * `address1`

      string

      The first line of the address. This typically includes information such as the street address or a post office box number.

    * `address2`

      string

      The second line of the address. This typically includes information such as apartment, suite, or unit number. 

  * `currency`

    string

    Transaction currency. A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `current_total_discounts_set`

    object

    The total discount amount displayed in both the buyer currency and the store currency. It is calculated by adding marketing discounts and custom discounts, with the resulting amount rounded to two decimal places.

    * `presentment_money`

      object

      The total discount amount information presented to the buyer. 

      * `amount`

        string

        The total discount amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

    * `shop_money`

      object

      The total discount amount information recorded by the merchant.

      * `amount`

        string

        The total discount amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

  * `current_total_tax_set`

    object

    The total tax amount, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The tax information presented to the buyer. 

      * `amount`

        string

        The tax amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The tax information recorded by the merchant.

      * `amount`

        string

        The tax amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `order_status_url`

    string

    Order status page URL.

  * `tax_lines`

    array<object>

    A list of tax information. 

    * `price_set`

      object

      The tax amount, displayed in both the buyer currency and the store currency.

      * `shop_money`

        object

        The tax amount information recorded by the merchant.

      * `presentment_money`

        object

        The tax amount information presented to the buyer. 

    * `rate`

      double

      The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as `0.0200`. This field value is for display only.

    * `title`

      string

      The title for the tax description, for display only. 

    * `name`

      string

      Tax name.

    * `price`

      string

      Tax in store currency. The value is rounded to two decimal places. 

  * `tax_number`

    string

    Tax ID.

  * `adjust_price_set`

    object

    The amount discrepancy due to rounding adjustments in POS transactions, displayed in both the buyer currency and the store currency. 

    * `presentment_money`

      object

      The amount discrepancy information presented to the buyer.

      * `amount`

        string

        The adjusted price amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

    * `shop_money`

      object

      The amount discrepancy information recorded by the merchant.

      * `amount`

        string

        The adjusted price amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `current_total_discounts`

    string

    The total discount amount in the store currency. It is calculated by adding marketing discounts and custom discounts, with the resulting amount rounded to two decimal places.

  * `current_total_tax`

    string

    The total tax amount, displayed in the store currency.

  * `total_discounts_set`

    object

    The total order discount, calculated as the sum of marketing discounts and custom discounts. This field contains amounts displayed in both the buyer and store currencies.
    
    :::danger
    **DEPRECATED**：This parameter is deprecated from API version v20210901.
    :::

    * `presentment_money`

      object

      The discount amount information presented to the buyer. 

      * `amount`

        string

        The discount amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The discount amount information recorded by the merchant.

      * `amount`

        string

        The discount amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `po_number`

    string

    Purchase order number for a B2B order.

  * `presentment_currency`

    string

    Buyer currency, the same as the store currency. A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

  * `subtotal_price_set`

    object

    The final price after discounts, calculated as the total product price minus any marketing discounts and custom discounts. This field contains amounts displayed in both the buyer and store currencies.

    * `presentment_money`

      object

      The final price information presented to the buyer. 

      * `amount`

        string

        The final price. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The final price information recorded by the merchant.

      * `amount`

        string

        The final price. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `total_outstanding`

    string

    The total unpaid amount in the store currency. The value is rounded to two decimal places. 

  * `total_tax_set`

    object

    The total tax amount, displayed in both the buyer currency and the store currency.

    * `presentment_money`

      object

      The tax amount information presented to the buyer. 

      * `amount`

        string

        The tax amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

    * `shop_money`

      object

      The tax amount information recorded by the merchant.

      * `amount`

        string

        The tax amount. The value is rounded to two decimal places. 

      * `currency_code`

        string

        A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. 

  * `total_tip_received`

    string

    The tip amount in the store currency. The value is rounded to two decimal places. 

  * `total_weight`

    string

    The total weight of products in grams(g).


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Create an order"
  ],
  "description": "Create an order.",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n| PARAM_ILLEGAL | 422 | illegal param |\n"
  },
  "operationId": "JeIKq5Oi",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "Body location parameters",
          "type": "object",
          "properties": {
            "order": {
              "name": "order",
              "description": "Order information. ",
              "type": "object",
              "properties": {
                "currency": {
                  "name": "currency",
                  "description": "The currency used by the buyer to place an order. The value of this parameter is a three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. ",
                  "type": "string",
                  "example": "USD"
                },
                "customer": {
                  "name": "customer",
                  "description": "Buyer information. ",
                  "type": "object",
                  "properties": {
                    "area_code": {
                      "name": "area_code",
                      "description": "The area or country code for the phone number. ",
                      "type": "string",
                      "example": "+86"
                    },
                    "email": {
                      "name": "email",
                      "description": "The email of the buyer. ",
                      "type": "string",
                      "example": "test001@Gmail.com"
                    },
                    "first_name": {
                      "name": "first_name",
                      "description": "The first name of the buyer.",
                      "type": "string",
                      "example": "Tom"
                    },
                    "id": {
                      "name": "id",
                      "description": "Buyer's ID.\n\nMaximum length: 64",
                      "type": "string",
                      "example": "4201057495"
                    },
                    "last_name": {
                      "name": "last_name",
                      "description": "The last name of the buyer.",
                      "type": "string",
                      "example": "Washington"
                    },
                    "phone": {
                      "name": "phone",
                      "description": "The phone number of the buyer. ",
                      "type": "string",
                      "example": "13903004000"
                    }
                  },
                  "example": {
                    "first_name": "Tom",
                    "id": "4201057495",
                    "last_name": "Washington",
                    "phone": "13903004000",
                    "area_code": "+86",
                    "email": "test001@Gmail.com"
                  }
                },
                "exchange_rate": {
                  "name": "exchange_rate",
                  "description": "The exchange rate between the order currency and the store currency. ",
                  "type": "string",
                  "example": "7.1245"
                },
                "name": {
                  "name": "name",
                  "description": "Order number. Different from the order ID, this number can have a custom prefix set in the SHOPLINE Admin. ",
                  "type": "string",
                  "example": "D101"
                },
                "order_note": {
                  "name": "order_note",
                  "description": "Merchant order notes. \n\nMaximum length: 50",
                  "type": "string",
                  "example": "Notes"
                },
                "processed_at": {
                  "name": "processed_at",
                  "description": "Order completion time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html). ",
                  "type": "string",
                  "example": "2023-04-12T22:59:52+08:00"
                },
                "shipping_address": {
                  "name": "shipping_address",
                  "description": "The address used for receiving packages.",
                  "type": "object",
                  "properties": {
                    "city_code": {
                      "name": "city_code",
                      "description": "The code for the city in the address. ",
                      "type": "string",
                      "example": "510000"
                    },
                    "country_code": {
                      "name": "country_code",
                      "description": "A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) standard, used to identify a specific country or region in the address.",
                      "type": "string",
                      "example": "CN"
                    },
                    "last_name": {
                      "name": "last_name",
                      "description": "The last name of the recipient. \n\nMaximum length: 64",
                      "type": "string",
                      "example": "Washington"
                    },
                    "latitude": {
                      "name": "latitude",
                      "description": "The latitude where the address is located.",
                      "type": "string",
                      "example": "43"
                    },
                    "longitude": {
                      "name": "longitude",
                      "description": "The longitude where the address is located.",
                      "type": "string",
                      "example": "34"
                    },
                    "address1": {
                      "name": "address1",
                      "description": "The first line of the address. This typically includes information such as the street address or a post office box number.\n\nMaximum length: 255",
                      "type": "string",
                      "example": "Xiaoguwei Street"
                    },
                    "area": {
                      "name": "area",
                      "description": "The district or county in the address. \n\nMaximum length: 64",
                      "type": "string",
                      "example": "Panyu District"
                    },
                    "area_code": {
                      "name": "area_code",
                      "description": "The code for the district or county in the address. ",
                      "type": "string",
                      "example": "510006"
                    },
                    "company": {
                      "name": "company",
                      "description": "The company name of the recipient. ",
                      "type": "string",
                      "example": "Company Name"
                    },
                    "first_name": {
                      "name": "first_name",
                      "description": "The first name of the recipient. \n\nMaximum length: 64",
                      "type": "string",
                      "example": "Tom"
                    },
                    "province_code": {
                      "name": "province_code",
                      "description": "The code for the province in the address, which can be a custom code or a two-digit [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) international code.",
                      "type": "string",
                      "example": "4220006"
                    },
                    "address2": {
                      "name": "address2",
                      "description": "The second line of the address. This typically includes information such as apartment, suite, or unit number. \n\nMaximum length: 255",
                      "type": "string",
                      "example": "Apartment 5"
                    },
                    "city": {
                      "name": "city",
                      "description": "The city in the address. \n\nMaximum length: 64",
                      "type": "string",
                      "example": "Guangzhou City"
                    },
                    "email": {
                      "name": "email",
                      "description": "The email of the recipient. ",
                      "type": "string",
                      "example": "test001@Gmail.com"
                    },
                    "province": {
                      "name": "province",
                      "description": "The province in the address. ",
                      "type": "string",
                      "example": "Guangdong Province"
                    },
                    "zip": {
                      "name": "zip",
                      "description": "The postal code information of the address. ",
                      "type": "string",
                      "example": "510036"
                    },
                    "country": {
                      "name": "country",
                      "description": "The country or region in the address.\n\nMaximum length: 64",
                      "type": "string",
                      "example": "China"
                    },
                    "phone": {
                      "name": "phone",
                      "description": "The phone number of the recipient.",
                      "type": "string",
                      "example": "13903004000"
                    }
                  },
                  "example": {
                    "area": "Panyu District",
                    "area_code": "510006",
                    "email": "test001@Gmail.com",
                    "phone": "13903004000",
                    "province_code": "4220006",
                    "longitude": "34",
                    "city": "Guangzhou City",
                    "country_code": "CN",
                    "last_name": "Washington",
                    "province": "Guangdong Province",
                    "address1": "Xiaoguwei Street",
                    "latitude": "43",
                    "address2": "Apartment 5",
                    "city_code": "510000",
                    "company": "Company Name",
                    "country": "China",
                    "first_name": "Tom",
                    "zip": "510036"
                  }
                },
                "transaction_list": {
                  "name": "transaction_list",
                  "description": "A list of payments. ",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "amount": {
                        "name": "amount",
                        "description": "Payment amount. The value is rounded to two decimal places. ",
                        "type": "string",
                        "example": "3.25"
                      },
                      "gateways": {
                        "name": "gateways",
                        "description": "Payment channel used for the payment. ",
                        "type": "string",
                        "example": "PayPal"
                      },
                      "processed_at": {
                        "name": "processed_at",
                        "description": "Payment creation time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html). ",
                        "type": "string",
                        "example": "2023-04-12T22:59:52+08:00"
                      },
                      "status": {
                        "name": "status",
                        "description": "Payment status. Valid values are:\n- `unpaid`: unpaid\n- `failure`: payment failed\n- `success`: payment successful\n- `error`: payment error",
                        "type": "string",
                        "example": "string"
                      }
                    },
                    "required": [
                      "status"
                    ],
                    "example": {
                      "status": "string",
                      "amount": "3.25",
                      "gateways": "PayPal",
                      "processed_at": "2023-04-12T22:59:52+08:00"
                    }
                  },
                  "example": [
                    {
                      "amount": "3.25",
                      "gateways": "PayPal",
                      "processed_at": "2023-04-12T22:59:52+08:00",
                      "status": "string"
                    }
                  ]
                },
                "financial_status": {
                  "name": "financial_status",
                  "description": "The payment status of the order. Valid values are:\n- `unpaid`: order not paid\n- `partially_paid`: order partially paid\n- `paid`: order paid\n\nDefault value: `unpaid`\n\n:::warning\n**Caution**: The accuracy of the inputted value will be strictly validated. If the value fails validation, the order creation will fail and an error `financial_status is invalid` will be triggered.\n:::",
                  "type": "string"
                },
                "note": {
                  "name": "note",
                  "description": "Order remarks.\n\nMaximum length: 50\n:::danger\n**DEPRECATED**：This parameter is deprecated from API version v20210901.\n:::\n",
                  "type": "string",
                  "example": "Notes"
                },
                "price_info": {
                  "name": "price_info",
                  "description": "Price information.",
                  "type": "object",
                  "properties": {
                    "taxes_included": {
                      "name": "taxes_included",
                      "description": "Indicates whether this order includes taxes.\n- `true`: including tax\n- `false`: excluding tax",
                      "type": "boolean"
                    },
                    "total_shipping_price": {
                      "name": "total_shipping_price",
                      "description": "The total shipping fee for the order, displayed in the store currency. The value is rounded to two decimal places. ",
                      "type": "string",
                      "example": "8.00"
                    },
                    "current_extra_total_discounts": {
                      "name": "current_extra_total_discounts",
                      "description": "Order discount amount, excluding discounts from discount codes. The value is rounded to two decimal places. ",
                      "type": "string",
                      "example": "8.00"
                    }
                  },
                  "example": {
                    "current_extra_total_discounts": "8.00",
                    "taxes_included": null,
                    "total_shipping_price": "8.00"
                  }
                },
                "shipping_lines": {
                  "name": "shipping_lines",
                  "description": "Shipping lines",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "price": {
                        "name": "price",
                        "description": "Shipping amount",
                        "type": "string"
                      },
                      "tax_line": {
                        "name": "tax_line",
                        "description": "Shipping tax details",
                        "type": "object",
                        "properties": {
                          "price": {
                            "name": "price",
                            "description": "Shipping amount",
                            "type": "string"
                          },
                          "rate": {
                            "name": "rate",
                            "description": "The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as `0.0200`. This field value is for display only.",
                            "type": "string"
                          },
                          "title": {
                            "name": "title",
                            "description": "Tax name",
                            "type": "string"
                          }
                        },
                        "example": {
                          "price": null,
                          "rate": null,
                          "title": null
                        }
                      },
                      "title": {
                        "name": "title",
                        "description": "Shipping name",
                        "type": "string"
                      }
                    },
                    "example": {
                      "price": null,
                      "tax_line": {
                        "price": null,
                        "rate": null,
                        "title": null
                      },
                      "title": null
                    }
                  },
                  "example": [
                    {
                      "price": null,
                      "tax_line": {
                        "price": null,
                        "rate": null,
                        "title": null
                      },
                      "title": null
                    }
                  ]
                },
                "billing_address": {
                  "name": "billing_address",
                  "description": "The address for sending billing invoices. ",
                  "type": "object",
                  "properties": {
                    "first_name": {
                      "name": "first_name",
                      "description": "The first name of the billing recipient. ",
                      "type": "string",
                      "example": "Tom"
                    },
                    "province": {
                      "name": "province",
                      "description": "The province in the address. ",
                      "type": "string",
                      "example": "Guangdong Province"
                    },
                    "address1": {
                      "name": "address1",
                      "description": "The first line of the address. This typically includes information such as the street address or a post office box number.\n\nMaximum length: 256",
                      "type": "string",
                      "example": "Xiaoguwei Street"
                    },
                    "area": {
                      "name": "area",
                      "description": "The district or county in the address. \n\nMaximum length: 64",
                      "type": "string",
                      "example": "Panyu District"
                    },
                    "city": {
                      "name": "city",
                      "description": "The city in the address. \n\nMaximum length: 64",
                      "type": "string",
                      "example": "Guangzhou City"
                    },
                    "city_code": {
                      "name": "city_code",
                      "description": "The code for the city in the address. ",
                      "type": "string",
                      "example": "510000"
                    },
                    "country_code": {
                      "name": "country_code",
                      "description": "A two-letter country or region code that follows the [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) standard, used to identify a specific country or region in the billing address.",
                      "type": "string",
                      "example": "US"
                    },
                    "company": {
                      "name": "company",
                      "description": "The company name of the billing recipient. ",
                      "type": "string",
                      "example": "Company Name"
                    },
                    "country": {
                      "name": "country",
                      "description": "The country or region in the billing address. \n\nMaximum length: 64",
                      "type": "string",
                      "example": "China"
                    },
                    "last_name": {
                      "name": "last_name",
                      "description": "The last name of the billing recipient. ",
                      "type": "string",
                      "example": "Washington"
                    },
                    "province_code": {
                      "name": "province_code",
                      "description": "The code for the province in the billing address, which can be a custom code or a two-digit [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) international code.",
                      "type": "string",
                      "example": "4220006"
                    },
                    "phone": {
                      "name": "phone",
                      "description": "The phone number of the billing recipient. ",
                      "type": "string",
                      "example": "13903004000"
                    },
                    "address2": {
                      "name": "address2",
                      "description": "The second line of the address. This typically includes information such as apartment, suite, or unit number. \n\nMaximum length: 256",
                      "type": "string",
                      "example": "Apartment 5"
                    },
                    "area_code": {
                      "name": "area_code",
                      "description": "The code for the district or county in the address. ",
                      "type": "string",
                      "example": "510007"
                    },
                    "email": {
                      "name": "email",
                      "description": "The email of the billing recipient. ",
                      "type": "string",
                      "example": "test001@Gmail.com"
                    },
                    "same_as_receiver": {
                      "name": "same_as_receiver",
                      "description": "Indicates whether the `billing_address` is the same as the `shipping_address`. \n- `true`: Indicates that both addresses are the same. \n- `false`: Indicates that the addresses are different. \n\nIf this parameter is set to `true`, other parameters under `billing_address`, except for this parameter, do not need to be provided.",
                      "type": "boolean"
                    },
                    "zip": {
                      "name": "zip",
                      "description": "The postal code information of the address. ",
                      "type": "string",
                      "example": "510036"
                    }
                  },
                  "example": {
                    "company": "Company Name",
                    "email": "test001@Gmail.com",
                    "last_name": "Washington",
                    "address2": "Apartment 5",
                    "city": "Guangzhou City",
                    "first_name": "Tom",
                    "phone": "13903004000",
                    "province": "Guangdong Province",
                    "country": "China",
                    "same_as_receiver": null,
                    "zip": "510036",
                    "address1": "Xiaoguwei Street",
                    "area": "Panyu District",
                    "city_code": "510000",
                    "country_code": "US",
                    "province_code": "4220006",
                    "area_code": "510007"
                  }
                },
                "buyer_note": {
                  "name": "buyer_note",
                  "description": "Buyer's message. ",
                  "type": "string",
                  "example": "message"
                },
                "customer_locale": {
                  "name": "customer_locale",
                  "description": "Buyer's language code. The language code follows the [ISO 639](https://www.iso.org/iso-639-language-code) standard. ",
                  "type": "string",
                  "example": "en"
                },
                "inventory_behaviour": {
                  "name": "inventory_behaviour",
                  "description": "The inventory processing method. Valid values are:\n- `bypass`: skip inventory processing \n- `decrement_ignoring_policy`: deduct inventory regardless of the inventory policy configured by the merchant\n- `decrement_obeying_policy`: deduct inventory according to the inventory policy configured by the merchant",
                  "type": "string"
                },
                "market_region_country_code": {
                  "name": "market_region_country_code",
                  "description": "The country or region code of the market where the order was placed. Follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. ",
                  "type": "string",
                  "example": "US"
                },
                "send_receipt": {
                  "name": "send_receipt",
                  "description": "Whether to send order confirmation email.\n- `true`: send\n- `false`: do not send",
                  "type": "boolean"
                },
                "company_location_id": {
                  "name": "company_location_id",
                  "description": "Company location ID, used to create a B2B order.",
                  "type": "string",
                  "example": "3232423438438"
                },
                "fulfillment_status": {
                  "name": "fulfillment_status",
                  "description": "The shipment status of the order. Valid values are:\n- `unshipped`: order not shipped\n- `shipped`: order shipped\n\nDefault value: `unshipped`\n\n:::warning\n**Caution**: The accuracy of the inputted value will be strictly validated. If the value fails validation, the order creation will fail and an error `fulfillment_status is invalid` will be triggered. \n:::",
                  "type": "string"
                },
                "line_items": {
                  "name": "line_items",
                  "description": "List of order product snapshot information. \n\nMaximum size: 100",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "product_id": {
                        "name": "product_id",
                        "description": "SPU serial number. ",
                        "type": "string",
                        "example": "16056761559984840457934011"
                      },
                      "properties": {
                        "name": "properties",
                        "description": "A list of product customization information. ",
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "show": {
                              "name": "show",
                              "description": "Whether the customized information is visible:\n- `true`: visible\n- `false`: invisible\nDefault value: `false`",
                              "type": "boolean"
                            },
                            "type": {
                              "name": "type",
                              "description": "Custom information type. Valid values are:\n- `text`: text type\n- `picture`: picture type\n- `link`: hyperlink type",
                              "type": "string"
                            },
                            "urls": {
                              "name": "urls",
                              "description": "URL resource list.\n- If `type` is `picture`, thumbnails are rendered via the `urls` values.\n- If `type` is `link`, the hyperlink is the first URL in the `urls` values.",
                              "type": "array",
                              "items": {
                                "type": "string",
                                "example": "[\"https://www.url.com\"]"
                              },
                              "example": [
                                "[\"https://www.url.com\"]"
                              ]
                            },
                            "value": {
                              "name": "value",
                              "description": "Custom attribute value.",
                              "type": "string",
                              "example": "attribute value"
                            },
                            "name": {
                              "name": "name",
                              "description": "Custom attribute name.",
                              "type": "string",
                              "example": "attribute name"
                            }
                          },
                          "example": {
                            "name": "attribute name",
                            "show": null,
                            "type": null,
                            "urls": [
                              "[\"https://www.url.com\"]"
                            ],
                            "value": "attribute value"
                          }
                        },
                        "example": [
                          {
                            "name": "attribute name",
                            "show": null,
                            "type": null,
                            "urls": [
                              "[\"https://www.url.com\"]"
                            ],
                            "value": "attribute value"
                          }
                        ]
                      },
                      "requires_shipping": {
                        "name": "requires_shipping",
                        "description": "Whether the product requires shipping. \n- `true`: shipping required\n- `false`: shipping not required",
                        "type": "boolean"
                      },
                      "taxable": {
                        "name": "taxable",
                        "description": "Whether the product is subject to tax. \n- `true`: Tax is required. \n- `false`: No tax is required. \n\nDefault value: `true`",
                        "type": "boolean"
                      },
                      "quantity": {
                        "name": "quantity",
                        "description": "The quantity of the product.",
                        "type": "long",
                        "example": 1
                      },
                      "shipping_line_title": {
                        "name": "shipping_line_title",
                        "description": "The title of the shipping plan that the product line matches. This field is required when shipping_lines is passed.",
                        "type": "string"
                      },
                      "tax_line": {
                        "name": "tax_line",
                        "description": "The custom product tax information. \n\nIf you specify this parameter, you must specify its child parameters `price`, `rate`, and `title`. The actual tax charge is based on the price parameter.\n\nIf `tax_line` is not provided, the shipping is tax-exempt by default. ",
                        "type": "object",
                        "properties": {
                          "price": {
                            "name": "price",
                            "description": "The tax amount. The actual tax collected on the product is based on this parameter value. The `rate` value is for display only.",
                            "type": "string",
                            "example": "3.25"
                          },
                          "rate": {
                            "name": "rate",
                            "description": "The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as `0.0200`. This field value is for display only.",
                            "type": "string"
                          },
                          "title": {
                            "name": "title",
                            "description": "The title for the tax description, for display only. ",
                            "type": "string",
                            "example": "Tax name"
                          }
                        },
                        "example": {
                          "rate": null,
                          "title": "Tax name",
                          "price": "3.25"
                        }
                      },
                      "title": {
                        "name": "title",
                        "description": "Product title.",
                        "type": "string",
                        "example": "beautiful skirt"
                      },
                      "variant_id": {
                        "name": "variant_id",
                        "description": "A unique code assigned to a distinct product in inventory.",
                        "type": "string",
                        "example": "18056761559987524812644011"
                      },
                      "discount_price": {
                        "name": "discount_price",
                        "description": "Product custom discount details. ",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Discount amount. The value is rounded to two decimal places. ",
                            "type": "string",
                            "example": "1.00"
                          },
                          "title": {
                            "name": "title",
                            "description": "Discount name. ",
                            "type": "string",
                            "example": "Discount name"
                          }
                        },
                        "example": {
                          "amount": "1.00",
                          "title": "Discount name"
                        }
                      },
                      "location_id": {
                        "name": "location_id",
                        "description": "Product storage location ID.",
                        "type": "string",
                        "example": "5445886274929439997"
                      },
                      "price": {
                        "name": "price",
                        "description": "The product price amount. The value is rounded to two decimal places. ",
                        "type": "string",
                        "example": "3.25"
                      }
                    },
                    "example": {
                      "title": "beautiful skirt",
                      "location_id": "5445886274929439997",
                      "price": "3.25",
                      "product_id": "16056761559984840457934011",
                      "shipping_line_title": null,
                      "variant_id": "18056761559987524812644011",
                      "discount_price": {
                        "amount": "1.00",
                        "title": "Discount name"
                      },
                      "properties": [
                        {
                          "show": null,
                          "type": null,
                          "urls": [
                            "[\"https://www.url.com\"]"
                          ],
                          "value": "attribute value",
                          "name": "attribute name"
                        }
                      ],
                      "quantity": 1,
                      "requires_shipping": null,
                      "tax_line": {
                        "price": "3.25",
                        "rate": null,
                        "title": "Tax name"
                      },
                      "taxable": null
                    }
                  },
                  "example": [
                    {
                      "product_id": "16056761559984840457934011",
                      "properties": [
                        {
                          "urls": [
                            "[\"https://www.url.com\"]"
                          ],
                          "value": "attribute value",
                          "name": "attribute name",
                          "show": null,
                          "type": null
                        }
                      ],
                      "quantity": 1,
                      "taxable": null,
                      "variant_id": "18056761559987524812644011",
                      "location_id": "5445886274929439997",
                      "requires_shipping": null,
                      "shipping_line_title": null,
                      "tax_line": {
                        "title": "Tax name",
                        "price": "3.25",
                        "rate": null
                      },
                      "title": "beautiful skirt",
                      "discount_price": {
                        "amount": "1.00",
                        "title": "Discount name"
                      },
                      "price": "3.25"
                    }
                  ]
                },
                "note_attributes": {
                  "name": "note_attributes",
                  "description": "A list of merchant note logs.",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "name": "name",
                        "description": "Merchant ID, indicating the note source. ",
                        "type": "string",
                        "example": "Note source"
                      },
                      "value": {
                        "name": "value",
                        "description": "Note content.",
                        "type": "string",
                        "example": "Notes"
                      }
                    },
                    "example": {
                      "name": "Note source",
                      "value": "Notes"
                    }
                  },
                  "example": [
                    {
                      "name": "Note source",
                      "value": "Notes"
                    }
                  ]
                },
                "send_fulfillment_receipt": {
                  "name": "send_fulfillment_receipt",
                  "description": "Whether to send order shipping email.\n- `true`: send\n- `false`: do not send",
                  "type": "boolean"
                },
                "shipping_line": {
                  "name": "shipping_line",
                  "description": "Shipping fee information.",
                  "type": "object",
                  "properties": {
                    "tax_line": {
                      "name": "tax_line",
                      "description": "The custom product tax information. \n\nIf you specify this parameter, you must specify its child parameters `price`, `rate`, and `title`. The actual tax charge is based on the price parameter. \n\nIf `tax_line` is not provided, the shipping is tax-exempt by default. ",
                      "type": "object",
                      "properties": {
                        "price": {
                          "name": "price",
                          "description": "The tax amount. The actual tax collected on the product is based on this parameter value. The `rate` value is for display only.",
                          "type": "string",
                          "example": "100"
                        },
                        "rate": {
                          "name": "rate",
                          "description": "The tax rate as a decimal value, rounded to four decimal places. For example, a 2% tax rate is represented as `0.0200`. This field value is for display only.",
                          "type": "string"
                        },
                        "title": {
                          "name": "title",
                          "description": "The title for the tax description, for display only. ",
                          "type": "string",
                          "example": "Tax name"
                        }
                      },
                      "example": {
                        "price": "100",
                        "rate": null,
                        "title": "Tax name"
                      }
                    },
                    "title": {
                      "name": "title",
                      "description": "Shipping fee name.",
                      "type": "string",
                      "example": "Shipping name"
                    },
                    "code": {
                      "name": "code",
                      "description": "Logistics number.",
                      "type": "string",
                      "example": "SF"
                    },
                    "price": {
                      "name": "price",
                      "description": "Shipping fee amount. The value is rounded to two decimal places. ",
                      "type": "string",
                      "example": "3.25"
                    }
                  },
                  "example": {
                    "code": "SF",
                    "price": "3.25",
                    "tax_line": {
                      "price": "100",
                      "rate": null,
                      "title": "Tax name"
                    },
                    "title": "Shipping name"
                  }
                },
                "transactions": {
                  "name": "transactions",
                  "description": "Payment information.",
                  "type": "object",
                  "properties": {
                    "id": {
                      "name": "id",
                      "description": "Payment method ID.",
                      "type": "string",
                      "example": "424243"
                    }
                  },
                  "example": {
                    "id": "424243"
                  }
                }
              },
              "required": [
                "line_items",
                "price_info"
              ],
              "example": {
                "line_items": [
                  {
                    "requires_shipping": null,
                    "shipping_line_title": null,
                    "title": "beautiful skirt",
                    "properties": [
                      {
                        "name": "attribute name",
                        "show": null,
                        "type": null,
                        "urls": [
                          "[\"https://www.url.com\"]"
                        ],
                        "value": "attribute value"
                      }
                    ],
                    "tax_line": {
                      "price": "3.25",
                      "rate": null,
                      "title": "Tax name"
                    },
                    "taxable": null,
                    "variant_id": "18056761559987524812644011",
                    "discount_price": {
                      "amount": "1.00",
                      "title": "Discount name"
                    },
                    "location_id": "5445886274929439997",
                    "price": "3.25",
                    "product_id": "16056761559984840457934011",
                    "quantity": 1
                  }
                ],
                "market_region_country_code": "US",
                "name": "D101",
                "note_attributes": [
                  {
                    "name": "Note source",
                    "value": "Notes"
                  }
                ],
                "send_receipt": null,
                "buyer_note": "message",
                "fulfillment_status": null,
                "send_fulfillment_receipt": null,
                "shipping_address": {
                  "area_code": "510006",
                  "company": "Company Name",
                  "country": "China",
                  "latitude": "43",
                  "province_code": "4220006",
                  "address1": "Xiaoguwei Street",
                  "email": "test001@Gmail.com",
                  "longitude": "34",
                  "city": "Guangzhou City",
                  "city_code": "510000",
                  "country_code": "CN",
                  "last_name": "Washington",
                  "phone": "13903004000",
                  "province": "Guangdong Province",
                  "zip": "510036",
                  "address2": "Apartment 5",
                  "area": "Panyu District",
                  "first_name": "Tom"
                },
                "shipping_line": {
                  "price": "3.25",
                  "tax_line": {
                    "price": "100",
                    "rate": null,
                    "title": "Tax name"
                  },
                  "title": "Shipping name",
                  "code": "SF"
                },
                "transactions": {
                  "id": "424243"
                },
                "company_location_id": "3232423438438",
                "currency": "USD",
                "customer": {
                  "email": "test001@Gmail.com",
                  "first_name": "Tom",
                  "id": "4201057495",
                  "last_name": "Washington",
                  "phone": "13903004000",
                  "area_code": "+86"
                },
                "order_note": "Notes",
                "billing_address": {
                  "company": "Company Name",
                  "country": "China",
                  "country_code": "US",
                  "phone": "13903004000",
                  "province_code": "4220006",
                  "address1": "Xiaoguwei Street",
                  "area_code": "510007",
                  "first_name": "Tom",
                  "last_name": "Washington",
                  "province": "Guangdong Province",
                  "zip": "510036",
                  "address2": "Apartment 5",
                  "city_code": "510000",
                  "email": "test001@Gmail.com",
                  "same_as_receiver": null,
                  "area": "Panyu District",
                  "city": "Guangzhou City"
                },
                "customer_locale": "en",
                "exchange_rate": "7.1245",
                "price_info": {
                  "current_extra_total_discounts": "8.00",
                  "taxes_included": null,
                  "total_shipping_price": "8.00"
                },
                "processed_at": "2023-04-12T22:59:52+08:00",
                "shipping_lines": [
                  {
                    "price": null,
                    "tax_line": {
                      "rate": null,
                      "title": null,
                      "price": null
                    },
                    "title": null
                  }
                ],
                "transaction_list": [
                  {
                    "amount": "3.25",
                    "gateways": "PayPal",
                    "processed_at": "2023-04-12T22:59:52+08:00",
                    "status": "string"
                  }
                ],
                "note": "Notes",
                "financial_status": null,
                "inventory_behaviour": null
              }
            }
          },
          "required": [
            "order"
          ],
          "example": {
            "order": {
              "customer": {
                "area_code": "+86",
                "email": "test001@Gmail.com",
                "first_name": "Tom",
                "id": "4201057495",
                "last_name": "Washington",
                "phone": "13903004000"
              },
              "customer_locale": "en",
              "exchange_rate": "7.1245",
              "send_fulfillment_receipt": null,
              "shipping_line": {
                "code": "SF",
                "price": "3.25",
                "tax_line": {
                  "price": "100",
                  "rate": null,
                  "title": "Tax name"
                },
                "title": "Shipping name"
              },
              "transactions": {
                "id": "424243"
              },
              "name": "D101",
              "note": "Notes",
              "send_receipt": null,
              "billing_address": {
                "email": "test001@Gmail.com",
                "phone": "13903004000",
                "last_name": "Washington",
                "province": "Guangdong Province",
                "address1": "Xiaoguwei Street",
                "area_code": "510007",
                "city": "Guangzhou City",
                "city_code": "510000",
                "first_name": "Tom",
                "province_code": "4220006",
                "address2": "Apartment 5",
                "company": "Company Name",
                "country": "China",
                "same_as_receiver": null,
                "zip": "510036",
                "area": "Panyu District",
                "country_code": "US"
              },
              "company_location_id": "3232423438438",
              "currency": "USD",
              "financial_status": null,
              "fulfillment_status": null,
              "market_region_country_code": "US",
              "price_info": {
                "current_extra_total_discounts": "8.00",
                "taxes_included": null,
                "total_shipping_price": "8.00"
              },
              "processed_at": "2023-04-12T22:59:52+08:00",
              "buyer_note": "message",
              "inventory_behaviour": null,
              "line_items": [
                {
                  "tax_line": {
                    "title": "Tax name",
                    "price": "3.25",
                    "rate": null
                  },
                  "variant_id": "18056761559987524812644011",
                  "discount_price": {
                    "amount": "1.00",
                    "title": "Discount name"
                  },
                  "product_id": "16056761559984840457934011",
                  "requires_shipping": null,
                  "shipping_line_title": null,
                  "taxable": null,
                  "title": "beautiful skirt",
                  "location_id": "5445886274929439997",
                  "price": "3.25",
                  "properties": [
                    {
                      "name": "attribute name",
                      "show": null,
                      "type": null,
                      "urls": [
                        "[\"https://www.url.com\"]"
                      ],
                      "value": "attribute value"
                    }
                  ],
                  "quantity": 1
                }
              ],
              "note_attributes": [
                {
                  "name": "Note source",
                  "value": "Notes"
                }
              ],
              "order_note": "Notes",
              "shipping_address": {
                "address2": "Apartment 5",
                "city": "Guangzhou City",
                "city_code": "510000",
                "province_code": "4220006",
                "zip": "510036",
                "longitude": "34",
                "area_code": "510006",
                "country": "China",
                "country_code": "CN",
                "email": "test001@Gmail.com",
                "first_name": "Tom",
                "latitude": "43",
                "company": "Company Name",
                "last_name": "Washington",
                "address1": "Xiaoguwei Street",
                "area": "Panyu District",
                "phone": "13903004000",
                "province": "Guangdong Province"
              },
              "shipping_lines": [
                {
                  "tax_line": {
                    "rate": null,
                    "title": null,
                    "price": null
                  },
                  "title": null,
                  "price": null
                }
              ],
              "transaction_list": [
                {
                  "status": "string",
                  "amount": "3.25",
                  "gateways": "PayPal",
                  "processed_at": "2023-04-12T22:59:52+08:00"
                }
              ]
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
[...]
